using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
/*
Copyright 2010 Mirosaw M. Mczka

This file is part of Mp3Cleaner.

    Mp3Cleaner is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/
namespace Mp3Edit
{
    public class GetTagsFromFile
    {
        public static bool GetCapabilities(string fileExt, out bool isHandled, out bool isWritable)
        {
            isHandled = false; isWritable = false;
            //
            switch (fileExt)
            {
                case ".mp3":
                    isHandled = true; isWritable = true;
                    return true;
                default:
                    return false;
            }
            //
            
        }
        public static bool GetTags(string fileExt, string filePathName, out string tagTrack, out string tagTitle, out string tagArtist, out string tagAlbum, out string tagYear, out string tagGenre)
        {
            //
            tagTrack = ""; tagTitle = ""; tagArtist = ""; tagAlbum = ""; tagYear = ""; tagGenre = "";
            //
            switch (fileExt)
            {
                case ".mp3":
                    Mp3ShellInfo m3si = new Mp3ShellInfo();
                    return m3si.GetInfo(filePathName, out tagTrack, out tagTitle, out tagArtist, out tagAlbum, out tagYear, out tagGenre);
                default:
                    return false;
            }
            //
        }
    }//class
}//class
